.quantity-selector {
	position: relative;
	overflow: hidden;
	display: flex;
	width: 72px;
	border: 1px solid #e6ebee;
	background-color: #fff;

	.quantity-selector__button,
	.quantity-selector__input {
		display: block;
		padding-top: 6px;
		padding-bottom: 6px;
		background: transparent;
		font-size: 16px;
		line-height: normal;
		text-align: center;
		color: #000;
	}

	.quantity-selector__button {
		width: 23px;
		padding-left: 0;
		padding-right: 0;
		transition: color 0.25s ease-out;

		svg {
			display: inline-block;
			width: 6.12px;
			vertical-align: middle;

			path {
				fill: currentColor;
			}
		}

		&:disabled {
			color: #aaa;
			cursor: default;

			@include hover {
				color: #aaa;
			}
		}

		@include hover {
			color: #808080;
		}
	}

	.quantity-selector__input {
		width: 24px;
		height: unset;
		padding-left: 0;
		padding-right: 0;
		border: 0;
		-moz-appearance: textfield;

		&::-webkit-outer-spin-button,
		&::-webkit-inner-spin-button {
			-webkit-appearance: none;
			margin: 0;
		}

		&:focus {
			border: 0;
		}
	}
}
